Update detection settings
curl --request PUT \
--url https://api.tuteliq.ai/api/v1/settings/detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled_endpoints": [],
"disabled_endpoints": [],
"default_context": {
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
},
"default_flag_profanity": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled_endpoints: [],
disabled_endpoints: [],
default_context: {age_group: '<string>', platform: '<string>', country: '<string>'},
default_flag_profanity: true
})
};
fetch('https://api.tuteliq.ai/api/v1/settings/detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/settings/detection"
payload = {
"enabled_endpoints": [],
"disabled_endpoints": [],
"default_context": {
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
},
"default_flag_profanity": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"enabled_endpoints\": [],\n \"disabled_endpoints\": [],\n \"default_context\": {\n \"age_group\": \"<string>\",\n \"platform\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"default_flag_profanity\": true\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/settings/detection")
.put(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"enabled_endpoints": [],
"disabled_endpoints": [],
"default_context": [
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
],
"default_flag_profanity": true
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/settings/detection")!
var request = URLRequest(url: url)
request.httpMethod = "PUT"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/settings/detection");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"enabled_endpoints\": [],\n \"disabled_endpoints\": [],\n \"default_context\": {\n \"age_group\": \"<string>\",\n \"platform\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"default_flag_profanity\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"success": true,
"settings": {},
"message": "<string>"
}Update detection settings
Configure which detection endpoints are active for your account. Use enabled_endpoints (whitelist — only these run) OR disabled_endpoints (blacklist — these are skipped). Cannot use both.
Example for an adult platform that only needs self-harm detection:
{"enabled_endpoints": ["distress-signals", "unsafe"]}
Example to disable grooming and bullying but keep everything else:
{"disabled_endpoints": ["grooming", "bullying"]}
PUT
/
api
/
v1
/
settings
/
detection
Update detection settings
curl --request PUT \
--url https://api.tuteliq.ai/api/v1/settings/detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled_endpoints": [],
"disabled_endpoints": [],
"default_context": {
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
},
"default_flag_profanity": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled_endpoints: [],
disabled_endpoints: [],
default_context: {age_group: '<string>', platform: '<string>', country: '<string>'},
default_flag_profanity: true
})
};
fetch('https://api.tuteliq.ai/api/v1/settings/detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/settings/detection"
payload = {
"enabled_endpoints": [],
"disabled_endpoints": [],
"default_context": {
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
},
"default_flag_profanity": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"enabled_endpoints\": [],\n \"disabled_endpoints\": [],\n \"default_context\": {\n \"age_group\": \"<string>\",\n \"platform\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"default_flag_profanity\": true\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/settings/detection")
.put(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"enabled_endpoints": [],
"disabled_endpoints": [],
"default_context": [
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
],
"default_flag_profanity": true
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/settings/detection")!
var request = URLRequest(url: url)
request.httpMethod = "PUT"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/settings/detection");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"enabled_endpoints\": [],\n \"disabled_endpoints\": [],\n \"default_context\": {\n \"age_group\": \"<string>\",\n \"platform\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"default_flag_profanity\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"success": true,
"settings": {},
"message": "<string>"
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Body
application/json
Only these endpoints will run. Mutually exclusive with disabled_endpoints.
Available options:
bullying, grooming, unsafe, social-engineering, app-fraud, romance-scam, mule-recruitment, gambling-harm, coercive-control, vulnerability-exploitation, radicalisation, distress-signals, tfgbv, synthetic-content These endpoints are skipped. Mutually exclusive with enabled_endpoints.
Available options:
bullying, grooming, unsafe, social-engineering, app-fraud, romance-scam, mule-recruitment, gambling-harm, coercive-control, vulnerability-exploitation, radicalisation, distress-signals, tfgbv, synthetic-content Show child attributes
Show child attributes
Account-level default for options.flag_profanity on /bullying and /unsafe. A request that sets options.flag_profanity explicitly always overrides this.